# PSF-LoginServer - master - net.psforever.objects.ballistics.AggravatedDamage
PSF - LoginServer - master - net.psforever.objects.ballistics.AggravatedDamage
Keywords: PSF LoginServer master net.psforever.objects.ballistics.AggravatedDamage

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ballistics
  Definition Classes
    objects
- AggravatedDamage
- AggravatedInfo
- AggravatedTiming
- ChargeDamage
- DeployableSource
- NonvitalDefinition
- ObjectSource
- PlayerSource
- Projectile
- ProjectileQuality
- Projectiles
- SameAsQuality
- SourceEntry
- VehicleSource

c

net.psforever.objects.ballistics

# AggravatedDamage 

###
Companion object AggravatedDamage

#### final case class AggravatedDamage(info: List[AggravatedInfo], effect_type: Aura, timing: AggravatedTiming, max_factor: Float, cumulative_damage_degrade: Boolean, vanu_aggravated: Boolean, targets: List[TargetValidation]) extends Product with Serializable

Information related to the aggravated damage.

info

  the specific kinds of aggravation damage available

effect_type

  what effect is exhibited by this aggravated damage

timing

  the timing for the damage application

max_factor

  na (if the target is a mechanized assault exo-suit?)

cumulative_damage_degrade

  na (can multiple instances of this type of aggravated damage apply to the same target at once?)

vanu_aggravated

  na (search me)

targets

  validation information indicating whether a certain entity is applicable for aggravation

Source
  AggravatedDamage.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AggravatedDamage
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new AggravatedDamage(info: List[AggravatedInfo], effect_type: Aura, timing: AggravatedTiming, max_factor: Float, cumulative_damage_degrade: Boolean, vanu_aggravated: Boolean, targets: List[TargetValidation])

   info

     the specific kinds of aggravation damage available

   effect_type

     what effect is exhibited by this aggravated damage

   timing

     the timing for the damage application

   max_factor

     na (if the target is a mechanized assault exo-suit?)

   cumulative_damage_degrade

     na (can multiple instances of this type of aggravated damage apply to the same target at once?)

   vanu_aggravated

     na (search me)

   targets

     validation information indicating whether a certain entity is applicable for aggravation

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val cumulative_damage_degrade: Boolean
7.  val effect_type: Aura
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  val info: List[AggravatedInfo]
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val max_factor: Float
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  val targets: List[TargetValidation]
20.  val timing: AggravatedTiming
21.  val vanu_aggravated: Boolean
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped